Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.olafpanz.translationtable
Enum JDKDefine

    java.lang.Object
      java.lang.Enum<JDKDefine>
          de.olafpanz.translationtable.JDKDefine

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JDKDefine>

     enum JDKDefine

extends java.lang.Enum<JDKDefine>

Define JDK for that the translation manager is built

Author:
  Olaf Panz

Enum Constant Summary
`JDK14` Build for JDK 1.4, without enumerations.
`JDK15` Build for JDK 1.5, use enumerations.

Method Summary
`static JDKDefine` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JDKDefine[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JDK14

    public static final JDKDefine JDK14

  Build for JDK 1.4, without enumerations.

### JDK15

    public static final JDKDefine JDK15

  Build for JDK 1.5, use enumerations.

Method Detail

### values

    public static JDKDefine[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JDKDefine c : JDKDefine.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JDKDefine valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD